Sign in to follow this  
FS++

Patch for PF3, GSX, Q400 and CS 707

Recommended Posts

New patch available

 

http://www.multicrewxp.com/MCE-Patch2670.zip

 

-    Improves interaction with PF3 ATC

-    Fixes issues with MCE+GSX when used with Steam edition (Requires latest GSX implementation)

-    Fixes altimeter dialling with Majestic Q400

-    Fixes window heat switching with Captain Sim 707

 

Unzip and replace files according to files and folders structure.

 

This patch assumes you have MCE V2.6.6.4 or higher

 

http://www.multicrewxp.com/Downloads.html

 

Feedback welcome.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Thanks guys...but I can't get it to work correctly.  I'm running V2.6.6.7 and this is for the CS707-300 and the Window Heat.  Here is what happens:

  • If I say "Window Heat Low (or On)" it moves both switches 1 notch down...so if the switch is set on "High" it just goes to "Off"
  • If I say "Window Heat High" it moves both switches 1 notch up...so if it is on "Low" it just goes to "Off"
  • If I say "Window Heat Off"...it does nothing...although the copilot does respond and confirm.

Thanks,

Share this post


Link to post
Share on other sites

You're saying you're runnng v2667. You must download the patch so you versie will ben v2670. If I remember correctly you'll have to

copy those mce.dll files into your fsx (mce)folder andere the other into your main mce folder.

 

Best regards

Share this post


Link to post
Share on other sites

You're saying you're runnng v2667. You must download the patch so you versie will ben v2670. If I remember correctly you'll have to

copy those mce.dll files into your fsx (mce)folder andere the other into your main mce folder.

 

Best regards

 

Correct.

 

The dlls in \Flight Simulator installation folder\MCE dlls\ folder are the means by which MCE reads aircraft switches status and sets them. In this case flytriman not only has to replace "mce.exe" and grammar files in <CandC> folder, but also "mccs707X.dll" in <MCE dlls> in order to see the change.

Share this post


Link to post
Share on other sites

Very sorry...my bad...I'm embarrassed.  I thought I had done everything (replacing the files and all)...did have V2670 showing after the patch install...but somehow, after re-checking everything, find the new "mccs707X.dll" did not get installed.  Works perfect now.  Next time I'll do the re-check first before bothering you all.

 

This is great service...not only did you upgrade a minor item I reported but were immediate with your response to my mistake...thanks again.

Share this post


Link to post
Share on other sites

Very sorry...my bad...I'm embarrassed.  I thought I had done everything (replacing the files and all)...did have V2670 showing after the patch install...but somehow, after re-checking everything, find the new "mccs707X.dll" did not get installed.  Works perfect now.  Next time I'll do the re-check first before bothering you all.

 

This is great service...not only did you upgrade a minor item I reported but were immediate with your response to my mistake...thanks again.

 

You're welcome.

 

No need to feel that way at all.

 

Besides, you're new to the system.

Share this post


Link to post
Share on other sites

since installing the patch, I get no voice pack selected, using default voice prompt on starting MCE. But continues to load and everything works OK.

 

 

Never got this before, what have I done or not done.

 

Also the push back integration with GSX is not very smooth. Just my view... feel things worked better before GSX included the push back start engines option.

Share this post


Link to post
Share on other sites

since installing the patch, I get no voice pack selected, using default voice prompt on starting MCE. But continues to load and everything works OK.

 

 

Never got this before, what have I done or not done.

 

Also the push back integration with GSX is not very smooth. Just my view... feel things worked better before GSX included the push back start engines option.

 

The prompt about voice pack suggests you haven't updated MCE to the latest releases.

 

previously Demo shipped with Trav and Andy. And Trav was default.

 

Since a few versions back we started shipping Demo with 3 recorded voice packs, Clive, William and Trav, with Clive being default FO.

 

Go to <Command> tab in UI and click <Change> button next to Co-pilot voice pack.

 

Assign one, and you shouldn't get the prompt again.

 

How many recorded voice packs are listed there?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this